<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundEvents/PlayerSoundEvents/Events/StaminaEvents.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/ded/_stamina_events_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">StaminaEvents.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d8/ded/_stamina_events_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d09/class_stamina_low_filter_base.html">StaminaLowFilterBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5914f8ac80fe51b08a0cdef73b9e6c9b"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a> extends <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a5914f8ac80fe51b08a0cdef73b9e6c9b">StaminaDownLight</a> ()</td></tr>
<tr class="separator:a5914f8ac80fe51b08a0cdef73b9e6c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa11031e7ee6145113b45037b2f18ff87"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#aa11031e7ee6145113b45037b2f18ff87">StaminaSoundEventBase</a> ()</td></tr>
<tr class="separator:aa11031e7ee6145113b45037b2f18ff87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68e66c775c31e6f45076f025d5183f90"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a68e66c775c31e6f45076f025d5183f90">HasPriorityOverCurrent</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id, <a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other)</td></tr>
<tr class="separator:a68e66c775c31e6f45076f025d5183f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e25c54742ec2164b6d225eef56027ef"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a7e25c54742ec2164b6d225eef56027ef">OnPlay</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a7e25c54742ec2164b6d225eef56027ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c927ac364191dafcffb3375506c5b9"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a44015c7a7c4d11557724fff43ed98fcc">StaminaDownHeavy</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a25c927ac364191dafcffb3375506c5b9">StaminaUpHeavy</a> ()</td></tr>
<tr class="separator:a25c927ac364191dafcffb3375506c5b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44015c7a7c4d11557724fff43ed98fcc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a44015c7a7c4d11557724fff43ed98fcc">StaminaDownHeavy</a> ()</td></tr>
<tr class="separator:a44015c7a7c4d11557724fff43ed98fcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a328c8cb638979eab66b6da35e6d5e7d9"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a8d06929b1c11e052b7b323736b96a860">StaminaUpLight</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a328c8cb638979eab66b6da35e6d5e7d9">StaminaUpEnd</a> ()</td></tr>
<tr class="separator:a328c8cb638979eab66b6da35e6d5e7d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d06929b1c11e052b7b323736b96a860"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a8d06929b1c11e052b7b323736b96a860">StaminaUpLight</a> ()</td></tr>
<tr class="separator:a8d06929b1c11e052b7b323736b96a860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff305e2dd7dc308d883a16d818d65fd"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a7e0e6ab023b19256216c99693791bc56">StaminaNormalDummy</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a7ff305e2dd7dc308d883a16d818d65fd">StaminaLowFilterBase</a> ()</td></tr>
<tr class="separator:a7ff305e2dd7dc308d883a16d818d65fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0e6ab023b19256216c99693791bc56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a7e0e6ab023b19256216c99693791bc56">StaminaNormalDummy</a> ()</td></tr>
<tr class="separator:a7e0e6ab023b19256216c99693791bc56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee6b59e797e9d1c2ac742dbb2c3be831"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a9b8c54bc626b3ee3947721feb75c0dec">StaminaLowFilterUpper</a> extends <a class="el" href="../../d3/d09/class_stamina_low_filter_base.html">StaminaLowFilterBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#aee6b59e797e9d1c2ac742dbb2c3be831">StaminaLowFilterMid</a> ()</td></tr>
<tr class="separator:aee6b59e797e9d1c2ac742dbb2c3be831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b8c54bc626b3ee3947721feb75c0dec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#a9b8c54bc626b3ee3947721feb75c0dec">StaminaLowFilterUpper</a> ()</td></tr>
<tr class="separator:a9b8c54bc626b3ee3947721feb75c0dec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acd1c7510ff128245e9780586ae2cc7f3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/ded/_stamina_events_8c.html#acd1c7510ff128245e9780586ae2cc7f3">MAX_VOLUME</a> = 4</td></tr>
<tr class="separator:acd1c7510ff128245e9780586ae2cc7f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a68e66c775c31e6f45076f025d5183f90" name="a68e66c775c31e6f45076f025d5183f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68e66c775c31e6f45076f025d5183f90">&#9670;&#160;</a></span>HasPriorityOverCurrent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> StaminaDownLight::HasPriorityOverCurrent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>&#160;</td>
          <td class="paramname"><em>other_state_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>&#160;</td>
          <td class="paramname"><em>type_other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00056">56</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a7e25c54742ec2164b6d225eef56027ef" name="a7e25c54742ec2164b6d225eef56027ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e25c54742ec2164b6d225eef56027ef">&#9670;&#160;</a></span>OnPlay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void StaminaDownLight::OnPlay </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >!! beware of the ifdef above , most likely you want to put your code above it, otherwise it might not get executed !!!</p>

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00061">61</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a44015c7a7c4d11557724fff43ed98fcc" name="a44015c7a7c4d11557724fff43ed98fcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44015c7a7c4d11557724fff43ed98fcc">&#9670;&#160;</a></span>StaminaDownHeavy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StaminaUpHeavy::StaminaDownHeavy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00067">67</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a5914f8ac80fe51b08a0cdef73b9e6c9b" name="a5914f8ac80fe51b08a0cdef73b9e6c9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5914f8ac80fe51b08a0cdef73b9e6c9b">&#9670;&#160;</a></span>StaminaDownLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a> extends <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a> StaminaDownLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a7ff305e2dd7dc308d883a16d818d65fd" name="a7ff305e2dd7dc308d883a16d818d65fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff305e2dd7dc308d883a16d818d65fd">&#9670;&#160;</a></span>StaminaLowFilterBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a7e0e6ab023b19256216c99693791bc56">StaminaNormalDummy</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a> <a class="el" href="../../d3/d09/class_stamina_low_filter_base.html">StaminaLowFilterBase</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00096">96</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="aee6b59e797e9d1c2ac742dbb2c3be831" name="aee6b59e797e9d1c2ac742dbb2c3be831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee6b59e797e9d1c2ac742dbb2c3be831">&#9670;&#160;</a></span>StaminaLowFilterMid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a9b8c54bc626b3ee3947721feb75c0dec">StaminaLowFilterUpper</a> extends <a class="el" href="../../d3/d09/class_stamina_low_filter_base.html">StaminaLowFilterBase</a> StaminaLowFilterMid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00118">118</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a9b8c54bc626b3ee3947721feb75c0dec" name="a9b8c54bc626b3ee3947721feb75c0dec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b8c54bc626b3ee3947721feb75c0dec">&#9670;&#160;</a></span>StaminaLowFilterUpper()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StaminaLowFilterMid::StaminaLowFilterUpper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00130">130</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a7e0e6ab023b19256216c99693791bc56" name="a7e0e6ab023b19256216c99693791bc56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e0e6ab023b19256216c99693791bc56">&#9670;&#160;</a></span>StaminaNormalDummy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StaminaLowFilterBase::StaminaNormalDummy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00113">113</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="aa11031e7ee6145113b45037b2f18ff87" name="aa11031e7ee6145113b45037b2f18ff87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa11031e7ee6145113b45037b2f18ff87">&#9670;&#160;</a></span>StaminaSoundEventBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StaminaDownLight::StaminaSoundEventBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00050">50</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a328c8cb638979eab66b6da35e6d5e7d9" name="a328c8cb638979eab66b6da35e6d5e7d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a328c8cb638979eab66b6da35e6d5e7d9">&#9670;&#160;</a></span>StaminaUpEnd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a8d06929b1c11e052b7b323736b96a860">StaminaUpLight</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a> StaminaUpEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00073">73</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a25c927ac364191dafcffb3375506c5b9" name="a25c927ac364191dafcffb3375506c5b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25c927ac364191dafcffb3375506c5b9">&#9670;&#160;</a></span>StaminaUpHeavy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/ded/_stamina_events_8c.html#a44015c7a7c4d11557724fff43ed98fcc">StaminaDownHeavy</a> extends <a class="el" href="../../d8/d32/class_stamina_sound_event_base.html">StaminaSoundEventBase</a> StaminaUpHeavy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00055">55</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<a id="a8d06929b1c11e052b7b323736b96a860" name="a8d06929b1c11e052b7b323736b96a860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d06929b1c11e052b7b323736b96a860">&#9670;&#160;</a></span>StaminaUpLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StaminaUpEnd::StaminaUpLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00085">85</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="acd1c7510ff128245e9780586ae2cc7f3" name="acd1c7510ff128245e9780586ae2cc7f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd1c7510ff128245e9780586ae2cc7f3">&#9670;&#160;</a></span>MAX_VOLUME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MAX_VOLUME = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ded/_stamina_events_8c_source.html#l00049">49</a> of file <a class="el" href="../../d8/ded/_stamina_events_8c_source.html">StaminaEvents.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_78582fda97199c57cc221ad43f65edbb.html">SoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_146c2ee5711a6aff27f2a707240475a0.html">PlayerSoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_9a753cd1f438ba0c0ac12aa10d2c10bc.html">Events</a></li><li class="navelem"><a class="el" href="../../d8/ded/_stamina_events_8c.html">StaminaEvents.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
